{% extends 'base/base.html' %}

{% block title %}Blog Home{% endblock title %}

{% block content %}

{% comment %} <small>object_list or post_list</small> {% endcomment %}
{% if request.user.is_authenticated %}
    <h2><a href="{% url 'blog:post_new' %}">+ New Blog</a></h2>
    <hr>
{% endif %}


{% for post in post_list %}
    {% comment %} <h3><a href='{% url "blog:post_detail" post.pk %}'>{{post.title}}</a></h3> {% endcomment %}
    <h3><a href='{{ post.get_absolute_url }}'>{{post.title}}</a></h3>
    <span>
        {% if post.comments.all %}
            {{ post.comments.all|length}} comments
        {% endif %}
    </span>
{% endfor %}

{% endblock content %}
